#!/bin/bash

# Made by zskiljan@srce.hr & drago@srce.hr
# Ne koristim 'which' iako putanje nisu uvijek standardne
MIMEDEFANGLOG="/var/log/mail.log"
MIMEDEFANGSTATE="/tmp/zabbix-mimedefang-offset"
MIMEDEFANGDAT=$(mktemp)
LOGTAIL="/usr/sbin/logtail"
# Zabbix_sender putanja ce ovisiti o paketu zabbix_agent !!
ZABBIX_SENDER="/usr/bin/zabbix_sender"
ZABBIX_CONF="/etc/zabbix/zabbix_agentd.conf"

function zsend {
        $ZABBIX_SENDER -c $ZABBIX_CONF -k $1 -o $2 > /dev/null 2>&1
        }

$LOGTAIL -f$MIMEDEFANGLOG -o$MIMEDEFANGSTATE | grep mimedefang > $MIMEDEFANGDAT

     zsend mimedefang.filtered `grep 'mail_in' $MIMEDEFANGDAT|wc -l`
     zsend mimedefang.spam `grep ',spam,' $MIMEDEFANGDAT|wc -l`
     zsend mimedefang.spamquarantined `grep ',spam -quarantined-,' $MIMEDEFANGDAT|wc -l`
     zsend mimedefang.discarded `grep 'filter:' $MIMEDEFANGDAT|grep discard=1|wc -l`
     zsend mimedefang.virus `grep 'Discarding because of virus' $MIMEDEFANGDAT|wc -l`

rm -f $MIMEDEFANGDAT
echo "1"

